package com.eactive.eai.rms.onl.adapter.sna;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("snaTrackingDao")
@SuppressWarnings("unchecked")
public class SnaTrackingDao extends SqlMapClientTemplateDao{

	 public int selectListCount(HashMap param) throws Exception {
	    	return (Integer)template.queryForObject("SnaTracking.selectListCount", param);
	    }	
	    public List selectList(HashMap param) throws Exception {
	    	return template.queryForList("SnaTracking.selectList", param);
	    }
	
}


